Membres de l'équipe
GET https://gratisqrcode.nl/api/team-members/{team_id}
curl --request GET \
--url 'https://gratisqrcode.nl/api/team-members/{team_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://gratisqrcode.nl/api/team-members/{team_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": [
{
"id": 1,
"team_id": 1,
"user_email": "hello@example.com",
"access": {
"read": true,
"create": true,
"update": true,
"delete": false
},
"status": 1,
"datetime": "2026-08-19 13:18:08",
"last_datetime": null
}
]
}
POST https://gratisqrcode.nl/api/teams
| Paramètres | Détails | Description |
|---|---|---|
| team_id | Exigée Entier | - |
| user_email | Exigée Chaîne | - |
| access_role | En option Chaîne |
reader, editor -- standaard reader als dit veld ontbreekt of een andere waarde bevat. Een eventueel meegestuurd access-array wordt genegeerd; de rol bepaalt de rechten.
|
curl --request POST \
--url 'https://gratisqrcode.nl/api/team-members' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'team_id=1' \
--form 'user_email=hello@example.com' \
--form 'access_role=editor' \
--url 'https://gratisqrcode.nl/api/team-members' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'team_id=1' \
--form 'user_email=hello@example.com' \
--form 'access_role=editor' \
{
"data": {
"id": 1
}
}
Impossible de changer un rôle directement — supprimez le membre et réinvitez-le avec le rôle souhaité.
POST https://gratisqrcode.nl/api/team-members/{team_member_id}
curl --request POST \
--url 'https://gratisqrcode.nl/api/team-members/{team_member_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://gratisqrcode.nl/api/team-members/{team_member_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"errors": [
{
"title": "Impossible de changer un rôle directement — supprimez le membre et réinvitez-le avec le rôle souhaité.",
"status": 403
}
]
}
DELETE https://gratisqrcode.nl/api/team-members/{team_member_id}
curl --request DELETE \
--url 'https://gratisqrcode.nl/api/team-members/{team_member_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://gratisqrcode.nl/api/team-members/{team_member_id}' \
--header 'Authorization: Bearer {api_key}' \